/******************************************************************
	
	
	@ Item          GRIDDIE - Personal WordPress Theme
	@ Version       1.0
	@ Author		Avanzare
	@ Website		http://themeforest.net/user/avanzare 
	

 ******************************************************************


	-----------------------------
	----- TABLE OF CONTENTS -----
	-----------------------------
	
	--  1. Typography
    --  2. Basics
	--  3. Forms
	--  4. Loading Screen
	--  5. UI Components
	--  6. Menu
	--  7. Ultility
	--  8. Skeleton Components
    --  9. Background Components
    --  10. Plugins
 
 
 ******************************************************************/



/** 1. Basics
*******************************************************************/

* {
    box-sizing: border-box;
    -webkit-font-smoothing: inherit;
}

html
{
    font-size: 10px;

    margin: 0 !important;
    

    --primary-font-family: "Sora", sans-serif;
    --secondary-font-family: "Source Code Pro", monospace;

    --text-hightlight-color: rgb(255, 255, 255);
    --text-base-color: rgb(136, 138, 139);

    --main-border-color: rgb(35, 38, 39);
    --main-border-size: 1px;
    --main-border-style: solid;

    --primary-sidebar-width: 240px;

    --transition-style-1: cubic-bezier(0.165,0.84,0.44,1);
}

body
{
    font-family: var(--primary-font-family);
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 300;
    font-size: 1.6rem;
    margin: 0;

    color: #fff;
    background:#141416;
}

.main
{
    position: relative;
    opacity: 1;
}

.main.loading
{
    opacity: 0;
}

h1,
h2,
h3,
h4,
h5,
h6
{
    line-height: 120% !important;
    margin-top: 0em;
    margin-bottom: 0;
    font-weight: 600;
    font-family: var(--primary-font-family);
}

h1
{
    font-size: 8rem;
    letter-spacing: -0.12rem;
}

h1.small
{
    font-size: 7.2rem;
}

h1.small-2
{
    font-size: 6.4rem;
    letter-spacing: 0;
}

h2
{
    font-size: 4.8rem;
}

h3
{
    font-size: 3.6rem;
}

h4
{
    font-size: 3.2rem;
}

h5
{
    font-size: 2.8rem;
}

h6
{
    font-size: 2rem;
}

p
{
    font-size: 1.6rem;
    line-height: 160% !important;
    letter-spacing: 0;
    font-weight: 400;
    margin-top: 0;
    margin-bottom: 0rem;
    color: var(--text-base-color);
    font-family: var(--primary-font-family);
}

p.elementor-heading-title
{
    font-size: 1.8rem;
    line-height: 160% !important;
}

p.text-large
{
    font-size: 1.8rem;
    line-height: 1.6em;
}

p.text-higlight
{
    font-size: 2rem;
    line-height: 1.6em;
    color: #fff;
}

p.text-small
{
    font-size: 1.4rem;
}

p.line-height-large
{
    line-height: 1.6em;
}

a,
a:hover,
a:focus
{
    cursor: pointer;
    -webkit-transition: all 150ms ease;
    -o-transition: all 150ms ease;
    transition: all 150ms ease;
    text-decoration: none;
    outline: none !important;
    outline-color: unset !important;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none; 
      -webkit-user-select: none; 
         -moz-user-select: none; 
          -ms-user-select: none; 
              user-select: none; 
    color: var(--text-base-color);
}

@media (max-width: 768px) {


    p.elementor-heading-title
    {
        font-size: 1.6rem;
    }

    h1,
    h1.small
    {
        font-size: 4.4rem;
        letter-spacing: -0.12rem;
    }

    h2
    {
        font-size: 3.2rem;
    }

    h3
    {
        font-size: 3.2rem;
    }

}

.button-wrapper
{
    display: flex;
    justify-content: center;
    gap: 1.6rem;
}

.button-wrapper.align-left
{ 
    justify-content: start; 
}

.button-wrapper.align-right
{ 
    justify-content: end; 
}

.btn,
.btn:active,
.btn:focus
{
    position: relative;
    display: inline-block;
    padding-left: 3.2rem;
    padding-right: 3.2rem;
    height: 6.4rem;
    color: var(--text-hightlight-color);
    font-family: var(--secondary-font-family);
    font-size: 1.6rem;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    text-transform: uppercase;
    background: rgba(255, 255, 255, 0.05);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.btn:hover
{
    color: #141416;
    background: #fff;
}

.btn.btn-secondary
{
    color: rgba(255, 255, 255, 0.5);
    border: 1px solid var(--main-border-color);
    background: rgba(255, 255, 255, 0.00);
}

.btn.btn-secondary:hover
{
    color: #141416;
    border: 1px solid var(--main-border-color);
    background:#fff;
}

.btn .btn-text
{
    position: relative;
    display: flex;
    z-index: 3;
    overflow: hidden;
    text-align: center;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.btn span
{
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.btn span:first-child
{
    display: block;
    transform: translateY(0%);
}

.btn:hover span:first-child
{
    transform: translateY(-100%);
}

.btn span:last-child
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: translateY(100%);
}

.btn:hover span:last-child
{
    transform: translateY(0%);
}

.btn .btn-corners
{
    --border: 2px solid #fff;
    --travel: 0.4rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.btn.btn-secondary .btn-corners
{
    --border: 2px solid rgba(255, 255, 255, 0.3);
}


.btn:hover .btn-corners
{
    --border: 2px solid #141416 !important;
}

.btn .btn-corner
{
    position: absolute;
    width: .8rem;
    height: .8rem;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.btn .btn-corner.top-left
{
    top: 0;
    left: 0;
    border-top: var(--border);
    border-left: var(--border);
}

.btn:hover .btn-corner.top-left
{
    top: var(--travel);
    left: var(--travel);
}

.btn .btn-corner.top-right
{
    top: 0;
    right: 0;
    border-top: var(--border);
    border-right: var(--border);
}

.btn:hover .btn-corner.top-right
{
    top: var(--travel);
    right: var(--travel);
}

.btn .btn-corner.bottom-left
{
    bottom: 0;
    left: 0;
    border-bottom: var(--border);
    border-left: var(--border);
}

.btn:hover .btn-corner.bottom-left
{
    bottom: var(--travel);
    left: var(--travel);
}

.btn .btn-corner.bottom-right
{
    bottom: 0;
    right: 0;
    border-bottom: var(--border);
    border-right: var(--border);
}

.btn:hover .btn-corner.bottom-right
{
    bottom: var(--travel);
    right: var(--travel);
}

.page-loader 
{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -200;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner-1 {
    width: 24rem;
    height: 2px;
    background: rgb(255 255 255 / 10%);
    position: relative;
    overflow: hidden;
}

.spinner-1::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: #888;
    animation: line-sweep 2s ease-in-out infinite;
}

@keyframes line-sweep {
    0% { left: -100%; }
    100% { left: 100%; }
}

/** 2. Forms
*****************************************************************/

button,
button:hover,
button:focus
{
    cursor: pointer;
    outline: none !important;
    border: none !important;
}

input,
input:focus,
input:active,
textarea,
textarea:focus,
textarea:active
{
    width: 100%;
    font-family: var(--primary-font-family);
    background: none;
    border: none;
    box-shadow: none;
    outline: none !important;
    color: #fff;
    font-size: 1.6rem;
    line-height: 1.25em;
    letter-spacing: 0;
    font-weight: 400;
    margin: 0;
}

textarea
{
resize: vertical;
min-height: 17rem;
}

input::placeholder,
textarea::placeholder
{
    color: rgba(255, 255, 255, 0.3);
}

form.default
{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0;
    width: 100%;
}

form.default .full-width
{
    grid-column: 1 / -1;
    width: 100%;
}

form.default input
{
    padding-left: 2.4rem;
    padding-right: 2.4rem;
    height: 6.4rem;
    border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
    border-bottom-width: none !important;
}

form.default input:nth-child(even)
{
    border-left-width: none !important;      
}

form.default textarea
{
    padding: 2.4rem;
    height: 17.2rem;
    border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
}

form.default input.error,
form.default textarea.error 
{
    border-color: rgb(255 0 0 / 40%) !important;
    background: rgb(255 0 0 / 4%) !important;
}

form.default input:focus,
form.default textarea:focus
{
    border-color: rgba(255, 255, 255, 0.3);
}

form.default .btn
{
    padding-left: 2.4rem;
    padding-right: 2.4rem;
    height: 6.4rem;
}

form.default.success .btn
{
    background: green;
    color: white !important;
    pointer-events: none;
}

form.subscribe-form
{
    display: grid;
    gap: 1.6rem !important;
    width: 100%;
    height: 5.6rem;
    grid-template-columns: 1fr auto;
}

form.subscribe-form input
{
    height: 5.6rem !important;
    border-bottom-width: var(--main-border-size) !important;
}

.subscribe-form.error input
{
    border-color: rgb(255 0 0 / 40%);
    background: rgb(255 0 0 / 10%);
}

.subscribe-form.success input
{
    border-color: rgb(0 128 0 / 75%);
    pointer-events: none;
}

form.subscribe-form button
{
    height: 5.6rem !important;
}

form.subscribe-form.success button
{
    background: green;

    display: block;
    margin: 0 auto;
    color: white !important;
    pointer-events: none;
}

form.comment-form
{
    grid-template-columns: 1fr;
    gap: 0 !important;
}

.hpc
{
    opacity: 0;
    pointer-events: none;
    width: 0;
    height: 0;
    overflow: none;
    display: none;
}

@media (max-width: 768px) {


    form.subscribe-form,
    form.default
    {
        grid-template-columns: 1fr;
    }

    form.subscribe-form
    {
        height: auto;
    }

    form.subscribe-form input,
    form.subscribe-form button
    {
        width: 100%;
        min-width: unset;
    }

    form.default input:nth-child(even)
    {
        border-left-width: var(--main-border-size) !important;
    }

}


/** 2. Misc
*****************************************************************/

.img-fluid 
{
    width: 100%;
    height: auto;
}

.text-center
{
    text-align: center;
}

.text-left
{
    text-align: left;
}

.text-right
{
    text-align: right;
}


.p-t-10 { padding-top: 10px;}
.p-t-20 { padding-top: 20px;}
.p-t-30 { padding-top: 30px;}
.p-t-40 { padding-top: 40px;}
.p-t-50 { padding-top: 50px;}
.p-t-60 { padding-top: 60px;}
.p-t-70 { padding-top: 70px;}
.p-t-80 { padding-top: 80px;}
.p-t-90 { padding-top: 90px;}
.p-t-100 { padding-top: 100px;}
.p-t-110 { padding-top: 110px;}
.p-t-120 { padding-top: 120px;}

.p-b-10 { padding-bottom: 10px;}
.p-b-20 { padding-bottom: 20px;}
.p-b-30 { padding-bottom: 30px;}
.p-b-40 { padding-bottom: 40px;}
.p-b-50 { padding-bottom: 50px;}
.p-b-60 { padding-bottom: 60px;}
.p-b-70 { padding-bottom: 70px;}
.p-b-80 { padding-bottom: 80px;}
.p-b-90 { padding-bottom: 90px;}
.p-b-100 { padding-bottom: 100px;}
.p-b-110 { padding-bottom: 110px;}
.p-b-120 { padding-bottom: 120px;}

.m-t-10 { margin-top: 10px;}
.m-t-20 { margin-top: 20px;}
.m-t-24 { margin-top: 24px;}
.m-t-30 { margin-top: 30px;}
.m-t-40 { margin-top: 40px;}
.m-t-50 { margin-top: 50px;}
.m-t-60 { margin-top: 60px;}
.m-t-70 { margin-top: 70px;}
.m-t-80 { margin-top: 80px;}
.m-t-90 { margin-top: 90px;}
.m-t-100 { margin-top: 100px;}
.m-t-110 { margin-top: 110px;}
.m-t-120 { margin-top: 120px;}

.m-b-10 { margin-bottom: 10px;}
.m-b-20 { margin-bottom: 20px;}
.m-b-24 { margin-bottom: 24px;}
.m-b-30 { margin-bottom: 30px;}
.m-b-40 { margin-bottom: 40px;}
.m-b-50 { margin-bottom: 50px;}
.m-b-60 { margin-bottom: 60px;}
.m-b-70 { margin-bottom: 70px;}
.m-b-80 { margin-bottom: 80px;}
.m-b-90 { margin-bottom: 90px;}
.m-b-100 { margin-bottom: 100px;}
.m-b-110 { margin-bottom: 110px;}
.m-b-120 { margin-bottom: 120px;}


.remove { display: none; }
.hide { opacity: 0; }

.seperator-line
{
    width: 100%;
    display: block;
    position: relative;
    height: 0;
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

/** 3. Elementor Overwrites
*****************************************************************/


.elementor-element 
{
    --widgets-spacing-row: 0 !important;
    --widgets-spacing-column: 0 !important;
}

.e-con {
    --container-default-padding-top: 0px;
    --container-default-padding-right: 0px;
    --container-default-padding-bottom: 0px;
    --container-default-padding-left: 0px;
}


/** 2. Page Content
*****************************************************************/

.background-styling-wrapper
{
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: -1;
}

.background-styling .grid
{
    --grid-color: rgb(255,255,255);
    
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background-color: transparent;
    background-image: linear-gradient(var(--grid-color) 2px, transparent 2px), linear-gradient(90deg, var(--grid-color) 2px, transparent 2px), linear-gradient(var(--grid-color) 1px, transparent 1px), linear-gradient(90deg, var(--grid-color) 1px, rgba(33, 222, 222, 0) 1px);
    background-position: -2px -2px, -2px -2px, -1px -1px, -1px -1px;
    background-size: 300px 300px, 300px 300px, 60px 60px, 60px 60px;
    border-radius: 0;
    opacity: 0.05;
    z-index: -4;
}

.background-styling .light
{
    background-color: var(--token-fb9d44b2-6935-449d-bcf6-321290435b57, rgb(217, 217, 217));
    border-bottom-left-radius: 1000px;
    border-bottom-right-radius: 1000px;
    border-top-left-radius: 1000px;
    border-top-right-radius: 1000px;
    filter: blur(100px);
    -webkit-filter: blur(100px);
    opacity: 0.1;
    transform: translate(-50%, -50%);
    aspect-ratio: 1 / 1;
    flex: none;
    height: 72%;
    left: 50%;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    top: 50%;
    width: auto;
    z-index: -3;
}

.background-styling .particles-js
{
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    z-index: -2;
    opacity: .28;
}

.background-styling .gradient
{
    position: absolute;
    width: 100%;
    height: 100%;
    pointer-events: none;
    left: 0;
    top: 0;
    z-index: -1;
    background: radial-gradient(50% 50% at 50% 50%, rgba(21, 21, 23, 0) 0%, var(--token-931e7764-6659-4e7d-b9b9-fa60e20b17fa, rgb(20, 20, 22)) /* {"name":"Neutral 04"} */ 100%);
    opacity: 1;
}

#smooth-content {
    overflow: visible;
    width: 100%;
    position: absolute;
  }



/** 2. Primary Sidebar
*****************************************************************/

.primary-sidebar 
{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 35;
    width: var(--primary-sidebar-width);
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

body.admin-bar .primary-sidebar 
{
    position: fixed;
    top: 32px;
}

@media (max-width: 782px) {

    body.admin-bar .primary-sidebar 
    {
        top: 48px;
        top: 0;
    }

}

.primary-sidebar .header
{
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    height: 80px;
    width: 100%;
    display: flex;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.primary-sidebar .header img
{
    max-width: 140px;

}

.primary-sidebar .header .navigation-button
{
    width: 80px;
    height: 100%;
    display: none;
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
}

.primary-sidebar .header .burger
{
    position: relative;
    display: flex;
    width: 100%;
    height: 100%;
    gap: 1rem;
    align-items: center;
    justify-content: center;
}

.primary-sidebar .header .burger .line
{
    width: 24px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    height: 2px;
    opacity: 0.3;
    background: #fff;
    transition: .3s var(--transition-style-1);
}

.primary-sidebar .header .burger .line:first-child
{
    width: 24px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,calc(-50% - 7px));
    height: 2px;
    opacity: 0.3;
    background: #fff;
}

.primary-sidebar .header .burger .line:last-child
{
    width: 24px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,calc(-50% + 7px));
    height: 2px;
    opacity: 0.3;
    background: #fff;
}


.primary-sidebar .griddie-navigation 
{
    display: flex;
    width: 100%;
    flex-direction: column;
    padding: 0;
    margin: 0;
    list-style: none;
    transform: translateX(-105%);
    transition: .5s var(--transition-style-1);
}

.primary-sidebar .griddie-navigation.is-active
{
    transform: translateX(0%);
}

.primary-sidebar .navigation .sub-menu
{
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    padding: 0;
    margin: 0;
    transform: translateX(-105%);
    transition: .5s var(--transition-style-1);
}

.primary-sidebar .navigation .sub-menu.is-active
{
    transform: translateX(0%);
}

.primary-sidebar .navigation .menu-item
{
    color: #fff;
    height: 80px;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    position: relative;
    align-items: center;
    background: rgba(255, 255, 255, 0);
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.primary-sidebar .navigation .menu-item a
{
    color: #fff;
    height: 80px;
    display: flex;
    position: relative;
    justify-content: space-between;
    flex-direction: row;
    align-items: center;
    padding-left: 4rem;
    padding-right: 4rem;
    width: 100%;
}

.primary-sidebar .navigation .menu-item:hover,
.primary-sidebar .navigation .menu-item.current-menu-item
{
    background: rgba(255, 255, 255, 0.05);
}

.primary-sidebar .navigation .menu-item:before
{
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 8px;
    height: 8px;
    opacity: 0;
    box-sizing: border-box;
    border: 1px solid #fff;
    border-bottom: none;
    border-left: none;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-sidebar .navigation .menu-item:after
{
    content: "";
    opacity: 0;
    position: absolute;
    bottom: 0;
    right: 0;
    width: 8px;
    height: 8px;
    border: 1px solid #fff;
    box-sizing: border-box;
    border-top: none;
    border-left: none;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-sidebar .navigation .menu-item.current-menu-item:before,
.primary-sidebar .navigation .menu-item:hover:before,
.primary-sidebar .navigation .menu-item.current-menu-item:after,
.primary-sidebar .navigation .menu-item:hover:after
{
    opacity: 1;
}

.primary-sidebar .navigation .menu-item p
{
    color: #fff;
    font-family: "Source Code Pro", monospace;
    font-size: 1.6rem;
    font-weight: 600;
    text-transform: uppercase;
    overflow: hidden;
    position: relative;
    opacity: .3;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-sidebar .navigation .menu-item p.number
{
    font-size: 1.2rem;
    font-weight: 700;
}

.primary-sidebar .navigation .menu-item.current-menu-item p.number
{
    color: #888a8b;
    opacity: 1;
}

.primary-sidebar .navigation .menu-item.current-menu-item p.text,
.primary-sidebar .navigation .menu-item:hover p.text
{
    opacity: 1;
}

.primary-sidebar .navigation .menu-item p span
{
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-sidebar .navigation .menu-item p.text span:last-child
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: translateY(100%);
}

.primary-sidebar .navigation .menu-item:hover p.text span:last-child
{
    transform: translateY(0%);
}

.primary-sidebar .navigation .menu-item p.text span:first-child
{
    display: block;
    transform: translateY(0%);
}

.primary-sidebar .navigation .menu-item:hover p.text span:first-child
{
    transform: translateY(-100%);
}

@media (max-width: 1100px) {

    .primary-sidebar 
    {
        width: 100% !important;
        height: 80px;
        display: block;
        overflow: hidden;
        justify-content: start;
        transition: .5s;
        transition-timing-function: var(--transition-style-1);
    }

    .primary-sidebar.mobile-toggle-active
    {
        height: 100%;
    }

    .primary-header
    {
        display: none !important;
        background: rgba(20, 20, 22, 0.85);
        backdrop-filter: blur(20px);
    }
    
    .primary-sidebar .header .navigation-button
    {
        display: block;
    }

    .primary-sidebar .header
    {
        padding-right: 0;
        padding-left: 2.5rem;
        justify-content: space-between;
        background: rgba(20, 20, 22, 0.85);
        backdrop-filter: blur(20px);
    }

    .navigation ul
    {
        background: rgba(20, 20, 22, 0.85);
        backdrop-filter: blur(20px);
    }

    .primary-sidebar .navigation .sub-menu
    {
        position: absolute;
        width: 100%;
        bottom: auto !important;
    }

    .primary-sidebar.mobile-toggle-active .header .burger .line:first-child
    {
        transform: translate(-50%, -50%) rotate(45deg);
        opacity: 1;
    }

    .primary-sidebar.mobile-toggle-active .header .burger .line:nth-child(2)
    {
        opacity: 0;
    }

    .primary-sidebar.mobile-toggle-active .header .burger .line:last-child
    {
        transform: translate(-50%, -50%) rotate(-45deg);
        opacity: 1;
    }



}




/** 2. Top Bar
*****************************************************************/

.primary-header
{
    
    --header-height: 8rem;
    position: fixed;
    width: calc(100% - var(--primary-sidebar-width));
    top: 0;
    right: 0;
    z-index: 35;
    height: var(--header-height);
    background: rgba(20, 20, 22, 0.85);
    backdrop-filter: blur(20px);
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
}

body.admin-bar .primary-header
{
    top: 32px;
}

.primary-header .left-side,
.primary-header .right-side
{
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: row;
}

.primary-header .freelance-indicator
{
    align-items: center;
    flex-direction: row;
    gap: 1.2rem;
    padding-left: 4rem;
    display: flex;
}

@keyframes header-indicator-animation {
    0%   {
        width: .8rem;
        height: .8rem;
        opacity: 0.5;
    }
    25% {
        width: 2.4rem;
        height: 2.4rem;
        opacity: 0;
    }
    100% {
        width: 2.4rem;
        height: 2.4rem;
        opacity: 0;
    }
  }
  

.primary-header .freelance-indicator .dot
{
    --indicator-color: #31ee33;
    background: var(--indicator-color);
    width: .8rem;
    height: .8rem;
    border-radius: 100%;
    position: relative;
}

.primary-header .freelance-indicator .dot:before
{
    content: "";
    position: absolute;
    z-index: -2;
    --indicator-color: #31ee33;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    opacity: 0.5;
    box-shadow: var(--indicator-color) 0px 0px 20px 0px;
}

.primary-header .freelance-indicator .dot:after
{
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    background: var(--indicator-color);
    width: .8rem;
    height: .8rem;
    border-radius: 100%;
    opacity: 0.5;
    transform: translate(-50%,-50%);
    animation-name: header-indicator-animation;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}

.primary-header .freelance-indicator p
{
    color: #fff;
    font-size: 1.4rem;
}

.primary-header .location
{
    font-family: var(--secondary-font-family);
    font-size: 1.2rem;
    font-weight: 500;
    text-transform: uppercase;
    padding-right: 4rem;
}

.primary-header .profile-link
{
    position: relative;
    width: 80px;
    top: 0;
    right: 0;
    height: 100%;
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
}

.primary-header .profile-link img
{
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 12px;
}

.primary-header .profile-link .circle-wrapper
{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.primary-header .profile-link .circle-text 
{
    width: 48px;
    height: 48px;
    margin:0;
    font-family: "Source Code Pro", monospace;
    font-size: 9px;
    font-weight: 700;
    line-height: 0.1em;
    position: relative;
    color: var(--text-base-color);
}

.primary-header .profile-link .char  {
  position: absolute;
  top: 50%;
  left: 50%;
  transform-origin: 0 0;
  white-space: pre;
}

.primary-header .portfolio-header-back-btn,
.primary-header .store-header-back-btn
{
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
    position: relative;
    height: 8rem;
    width: 8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    color: var(--text-base-color);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-header .portfolio-header-back-btn:hover,
.primary-header .store-header-back-btn:hover
{
    color: #fff;
    background: rgba(255, 255, 255, 0.05);
}

.primary-header .portfolio-header-title,
.primary-header .store-header-title
{
    color: #fff;
    padding-left: 4rem;
    opacity: 1;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

body.at-top .primary-header .portfolio-header-title,
body.at-top .primary-header .store-header-title
{
    opacity: 0.3;
}

.primary-header .portfolio-header-subline,
.primary-header .store-header-subline
{
    color: #fff;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
    opacity: 0.3;
}

body.at-top .primary-header .portfolio-header-subline,
body.at-top .primary-header .store-header-subline
{
    opacity: 0 ;
}

.primary-header .portfolio-header-subline .splitter-line,
.primary-header .store-header-subline .splitter-line
{
    margin: 0 1rem;
}

.primary-header .button-area
{
    display: flex;
    height: 100%;
    transition-timing-function: var(--transition-style-1);
    transform: translateX(0%);
    transition: .4s;
}

body.at-top .primary-header .button-area
{
    transform: translateX(100%);
}

.primary-header .btn-primary,
.primary-header .btn-secondary
{
    height: 100%;
    padding-left: 4rem;
    padding-right: 4rem;
}

.primary-header .btn-primary .btn-corners
{
    opacity: 0;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.primary-header .btn-primary:hover .btn-corners
{
    opacity: 1;
}

.primary-header .btn-secondary
{
    height: 100%;
    padding: 0;
    width: var(--header-height);
}

.primary-header .btn-secondary.icon .btn-text
{
    font-size: 2.4rem;
}

.primary-header .btn-secondary.icon .btn-text span
{
    transform: translate(0) !important;
    position: relative;
}


/** 2. Page Content
*****************************************************************/

.page-content
{
    width: 100%;
    overflow: visible;
    height: 100%;
}

.page-content-inner
{
    --top-spacing: 80px;
    position: relative;
    width: calc(100% - var(--primary-sidebar-width)) !important;
    margin-left: var(--primary-sidebar-width);

    padding-top: var(--top-spacing);
    display: flex;
    flex-direction: column;
    min-height: 100%;
}

.admin-bar .page-content-inner
{
    --top-spacing: calc(80px + 32px);
}

.page-content-inner .content-wrapper
{
    flex: 1;
}

.error404 .page-content-inner .content-wrapper
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.page-content-inner .content-wrapper:not(:has(.elementor)) {
    padding: 4rem;
  }

.page-content .content-block
{
    position: relative;
}

.page-content .content-block.center-block
{
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 1100px) {
    .page-content-inner
    {
        margin-left: 0 !important;
        width: 100% !important;
    }
}

@media (max-width: 782px) {
    .admin-bar .page-content-inner
    {
        padding-top: 80px;
    }
}


/** 3. Footer
*****************************************************************/

.footer
{
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    position: relative;
    height: 8rem;
    display: flex;
}

.footer .footer-btn
{
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
    display: flex;
    align-items: center;
    flex-grow: 1;
    flex-shrink: 1;
    flex-basis: 0;
    min-width: 0;  
    justify-content: center;
    transition: .5s;
    flex-shrink: 1;   
    transition-timing-function: var(--transition-style-1);
}

.footer .footer-btn:hover
{
    background: rgba(255, 255, 255, 0.05);
}

.footer .footer-btn:first-child
{
    border-left: 0;
}


.footer .footer-btn .btn-text
{
    position: relative;
    display: flex;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    font-family: var(--secondary-font-family);
    font-size: 1.6rem;
    text-transform: uppercase;
    overflow: hidden;
    color: #fff;
}

@media (max-width: 768px) {
    
    .footer .footer-btn
    {
        flex: 0 0 100%;   
        height: 8rem;
        width: 100%;  
        border-bottom-color: var(--main-border-color);
        border-bottom-width: var(--main-border-size);
        border-bottom-style: var(--main-border-style);
    }

    .footer
    {
        height: auto;
        flex-wrap: wrap;
    }

    .footer .social-btn
    {
        flex-grow: 1;
        flex-shrink: 1;
        flex-basis: 0;
        min-width: 0;  
        border-bottom-color: var(--main-border-color);
        border-bottom-width: var(--main-border-size);
        border-bottom-style: var(--main-border-style);
    }


}

.footer .footer-btn .btn-text span
{
    transition: .5s;
    opacity: 0.3;
    transition-timing-function: var(--transition-style-1);
}

.footer .footer-btn:hover .btn-text span
{
    opacity: 1;
}


.footer .footer-btn .btn-text span:first-child
{
    display: block;
    transform: translateY(0%);
}

.footer .footer-btn:hover .btn-text span:first-child
{
    transform: translateY(-100%);
}

.footer .footer-btn .btn-text span:last-child
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: translateY(100%);
}

.footer .footer-btn:hover .btn-text span:last-child
{
    transform: translateY(0%);
}


.footer .social-btn
{
    flex-shrink: 0;   
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
    position: relative;
    height: 8rem;
    width: 8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.1rem;
    color: var(--text-base-color);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.footer .social-btn:hover
{
    color: #fff;
    background: rgba(255, 255, 255, 0.05);
}



/** 3. Portfolio Page
*****************************************************************/

.portfolio-page-header
{
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    padding: 10rem 2.4rem;
}

.portfolio-page-header .portfolio-header-title
{
    text-align: center;
}

.portfolio-page-header .portfolio-header-subline
{
    font-size: 1.8rem;
    text-align: center;
}

.portfolio-page-header .portfolio-header-tags
{
    display: flex;
    flex-direction: row;
}

.portfolio-page-header .portfolio-header-tags .tag
{
    font-size: 1.4rem;
    padding: 1.2rem 1.2rem;
    border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}

@media (max-width: 768px)
{
    
    .portfolio-page-header .portfolio-header-tags .tag
    {
        font-size: 1.3rem;
        padding: 1rem 1.1rem;
    }

    .portfolio-page-header .portfolio-header-subline
    {
        font-size: 1.6rem;
    }
    
}


/** 4. Store Page
*****************************************************************/

.store-page-header
{
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-direction: row;
    justify-content: space-between;
    padding: 8rem 8rem;
}

.store-page-header .store-header-subline
{
    font-size: 2rem;
}

.store-page-header .store-header-buttons
{
    position: relative;
    display: flex;
    align-items: flex-end;
    gap: 1.6rem;
    flex-direction: row;
}

@media (max-width: 768px)
{
    .store-page-header
    {
        padding: 4rem 2.4rem;
         flex-direction: column;
    }

    .store-page-header .store-header-subline {
        font-size: 1.6rem;
    }

    .store-page-header .store-header-buttons
    {
        gap: 1.6rem;
        flex-direction: column-reverse;
        width: 100%;
        margin-top: 2.8rem;
    }

    .store-page-header .store-header-buttons a.btn
    {
        align-self: stretch;
    }

}